Package org.apache.calcite.avatica

## Class MetaImpl.MetaProcedure

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaProcedure

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaProcedure
    extends java.lang.Object

Metadata describing a procedure.

### Field Summary

Fields
`java.lang.String` `futureUse1`
`java.lang.String` `futureUse2`
`java.lang.String` `futureUse3`
`java.lang.String` `procedureCat`
`java.lang.String` `procedureName`
`java.lang.String` `procedureSchem`
`short` `procedureType`
`java.lang.String` `remarks`
`java.lang.String` `specificName`

### Constructor Summary

Constructors
`MetaProcedure​(java.lang.String procedureCat, java.lang.String procedureSchem, java.lang.String procedureName, short procedureType, java.lang.String specificName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### procedureCat

    public final java.lang.String procedureCat

#### procedureSchem

    public final java.lang.String procedureSchem

#### procedureName

    public final java.lang.String procedureName

#### futureUse1

    public final java.lang.String futureUse1

#### futureUse2

    public final java.lang.String futureUse2

#### futureUse3

    public final java.lang.String futureUse3

#### remarks

    public final java.lang.String remarks

#### procedureType

    public final short procedureType

#### specificName

    public final java.lang.String specificName

### Constructor Detail

#### MetaProcedure

    public MetaProcedure​(java.lang.String procedureCat,
                         java.lang.String procedureSchem,
                         java.lang.String procedureName,
                         short procedureType,
                         java.lang.String specificName)